#!/bin/bash
version="1.4";

# This script allows to run GeMoMa with minimal work from command line. A simple example is
# ./run_without_RNAseq.sh test_data/annotation.gff test_data/reference.fasta test_data/contig.fasta
# In this case, the prediction is located in ${out}/predicted_annotation.gff

#parameters
annotation=$1
reference=$2
target=$3

out=results/sw/

echo "============================================================================="
echo ""
echo "check versions:"
echo ""

java -version

echo ""

tblastn -version

echo ""
echo "============================================================================="
echo ""

java -jar GeMoMa-${version}.jar CLI Extractor a=${annotation} g=${reference} outdir=${out}

echo ""
echo "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
echo ""
echo "makeblastdb:"
echo ""

makeblastdb -out ${out}/blastdb -hash_index -in ${target} -title "target" -dbtype nucl

echo ""
echo "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
echo ""
echo "tblastn:"
echo ""

tblastn -query ${out}/cds-parts.fasta -db ${out}/blastdb -evalue 100.0 -out ${out}/tblastn.txt -outfmt "6 std sallseqid score nident positive gaps ppos qframe sframe qseq sseq qlen slen salltitles" -db_gencode 1 -matrix BLOSUM62 -seg no -word_size 3 -comp_based_stats F -gapopen 11 -gapextend 1

echo ""
echo "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
echo ""

java -jar GeMoMa-${version}.jar CLI GeMoMa t=${out}/tblastn.txt c=${out}/cds-parts.fasta a=${out}/assignment.tabular tg=${target} outdir=${out}
